module DigitalOceanInventory
  class Group
    attr_reader :name, :hosts, :config

    def self.build(opts = {})
      name   = opts[:name]
      config = opts[:config]
      hosts  = opts[:hosts] || []

      new name, config, hosts
    end

    def initialize(name, config, hosts = [])
      @name   = name
      @config = config
      @hosts  = hosts
    end

    def <<(host)
      return host if hosts.include? host.name

      @hosts << host
    end
  end
end
